Bug 20503 - spec file fix
spec file fix
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: libjpeg (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-07 19:48 EST by Richard C. Greenwood
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-07 19:50:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for libjpeg.spec (685 bytes, patch)
2000-11-07 19:49 EST, Richard C. Greenwood
no flags Details | Diff

  None (edit)
Description Richard C. Greenwood 2000-11-07 19:48:17 EST
With the current spec file (Release 10), the install process does not use
the BUILD_ROOT.  This prevented a non-root user from creating the RPM.  The
following patch will allow the install step to use the BUILD_ROOT.  Thanks.
--Rich

--- libjpeg.spec.orig   Fri Feb  4 18:52:34 2000
+++ libjpeg.spec        Tue Nov  7 16:44:40 2000
@@ -51,7 +51,7 @@
 %install
 rm -rf $RPM_BUILD_ROOT
 mkdir -p $RPM_BUILD_ROOT/usr/{lib,include,bin,man/man1}
-make prefix=$RPM_BUILD_ROOT/usr install
+make -e prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/usr install
 strip -R .comments $RPM_BUILD_ROOT/usr/bin/* || :
 
 %post -p /sbin/ldconfig
@@ -77,6 +77,9 @@
 /usr/include/*.h
 
 %changelog
+* Tue Nov  7 2000 Richard C. Greenwood <rcgreenw@truelink.com>
+- fixed spec file to allow install step to use BUILD_ROOT
+
 * Sat Feb  5 2000 Bernhard Rosenkrdnzer <bero@redhat.com>
 - rebuild to get compressed man pages
 - fix description
Comment 1 Richard C. Greenwood 2000-11-07 19:49:55 EST
Created attachment 5142 [details]
Patch for libjpeg.spec
Comment 2 Bernhard Rosenkraenzer 2000-11-08 03:19:12 EST
This was fixed in Red Hat Linux 7.

Note You need to log in before you can comment on or make changes to this bug.